/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;

import org.sourceforge.writexml.Attribute;
import org.sourceforge.writexml.Attributes;

import java.util.Collections;

import static org.sourceforge.writexml.Attribute.attribute;
import static org.sourceforge.writexml.Attributes.attributes;
import static org.sourceforge.writexml.TagName.tagName;

public final class BaseTag extends BaseXhtmlTag<BaseTag, XhtmlTag> {

    private BaseTag(final Attributes attributes) {
        super(tagName("base"), attributes, Collections.<XhtmlTag>emptyList());
    }

    static BaseTag baseTag(final Href href) {
        return new BaseTag(attributes(attribute("href", href, NAMESPACE)));
    }

    @Override
    BaseTag makeANewOne(Attribute attribute) {
        return new BaseTag(attributes.append(attribute));
    }
}
