/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;

import org.sourceforge.writexml.AttributeValue;

public enum Scope implements AttributeValue {
    COLUMN("col"),
    COLUMN_GROUP("colgroup"),
    ROW("row"),
    ROW_GROUP("rowgroup");

    private final String xhtmlEquivalent;

    Scope(final String xhtmlEquivalent) {
        this.xhtmlEquivalent = xhtmlEquivalent;
    }

    public String asString() {
        return xhtmlEquivalent;
    }
}
